import { Injectable } from "@angular/core";
import { OneLouveProfileModel } from "@justbe-typescript-models/one-louve-profile";
var UtilService = (function () {
    function UtilService() {
    }
    ;
    UtilService.prototype.getProfileJson = function (isBasicDetails, jbMobileAuthJson) {
        var obj = {
            mobileNos: [jbMobileAuthJson.countryCode.tel + jbMobileAuthJson.mobileNumber],
            userVerified: true
        };
        obj.country = jbMobileAuthJson.countryCode.key;
        if (isBasicDetails) {
            obj.firstName = jbMobileAuthJson.firstName;
            obj.lastName = jbMobileAuthJson.lastName;
            obj.displayName = this.getDisplayName(jbMobileAuthJson.firstName, jbMobileAuthJson.lastName);
        }
        else {
            obj.firstName = 'John';
            obj.lastName = 'Doe';
            obj.displayName = 'John Doe';
        }
        if (jbMobileAuthJson.email) {
            obj.primaryEmail = jbMobileAuthJson.email;
        }
        var oneLouveProfile = OneLouveProfileModel.build(obj);
        return oneLouveProfile;
    };
    UtilService.prototype.getDisplayName = function (firstName, lastName) {
        return firstName + ' ' + lastName;
    };
    UtilService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    UtilService.ctorParameters = function () { return []; };
    return UtilService;
}());
export { UtilService };
//# sourceMappingURL=util.service.js.map